M2SCI Function

Funcall - Create a tree representing a function call

### Calling Sequence

  `fc=Funcall(name,lhsnb,rhslist,lhslist)`

### Parameters

- `name` : function name (character string)
- `lhsnb` : number of outputs (constant)
- `rhslist` : list of inputs (list of "M2SCI tlists")
- `lhslist` : list of outputs (list of "M2SCI tlists")
- `fc` : a "funcall" tlist

### Description

This function create a `tlist` representing a function call when using M2SCI. All input parameters values are verified to be compatible with "M2SCI tlists".

### See Also

`Operation` , `Variable` , `Cste` , `Infer` , `Type` , `Equal` ,

### Authors

  V.C.